%define upstream_name UV
%define upstream_version 2.000

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Summary:    Perl interface to libuv
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5
License:    BSD, ISC and GPLv2
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/C/CA/CAPOEIRAB/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Alien::libuv)
BuildRequires: perl(Carp)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(Module::Build::Using::PkgConfig)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(XSLoader) >= 0.130.0
BuildRequires: perl-devel
BuildRequires: pkgconfig(libuv)
%description
UV provides low-level interface to libuv, https://github.com/joyent/libuv,
platform layer for node.js.

Low-level means this module's functions maps to libuv functions directly.
C<uv_listen> maps to C<UV::listen>, C<uv_tcp_connect> to C<UV::tcp_connect>,
and so on.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}
chmod -R u+w %{_builddir}/%{upstream_name}-%{upstream_version}

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0

%check
# (tv) works locally but fails on BS:
rm -f t/02-loop-time.t 
./Build test

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorarch}/*
%attr(0755,root,root) %{perl_vendorarch}/auto/UV/UV.so
%{_mandir}/man*/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 2.0.0-5.mga10
+ Revision: 2226873
- Mageia 10 Mass Rebuild

* Fri Aug 23 2024 tv <tv> 2.0.0-4.mga10
+ Revision: 2089657
- Rebuild for perl-5.40

* Fri Dec 01 2023 tv <tv> 2.0.0-3.mga10
+ Revision: 2012434
- Rebuild for perl-5.38

* Thu Aug 04 2022 tv <tv> 2.0.0-2.mga9
+ Revision: 1875115
- Rebuild for perl-5.36

* Fri Mar 18 2022 tv <tv> 2.0.0-1.mga9
+ Revision: 1798832
- Disable one test that passed locally but not on BS
- Update to 2.000 (why magpie dwim never updated it ??)
- Manually restore BR on perl(Alien::libuv)
- Switch to Build
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.0.8-8.mga9
+ Revision: 1727226
- Rebuild for perl 5.34

* Thu Oct 15 2020 tv <tv> 1.0.8-7.mga8
+ Revision: 1636233
- fix linking with pthread

* Wed Jun 17 2020 umeabot <umeabot> 1.0.8-6.mga8
+ Revision: 1595301
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 1.0.8-5.mga8
+ Revision: 1530205
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 1.0.8-4.mga8
+ Revision: 1433943
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.0.8-3.mga7
+ Revision: 1293900
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.0.8-2.mga7
+ Revision: 1250155
- Rebuild for perl 5.28

* Wed Jul 25 2018 wally <wally> 1.0.8-1.mga7
+ Revision: 1245265
- build with mga ldflags
- new version 1.000008

* Tue Oct 03 2017 tv <tv> 0.240.0-6.mga7
+ Revision: 1167281
- rebuild with fixed rpm for missing autodeps

* Sat Jul 22 2017 neoclust <neoclust> 0.240.0-5.mga7
+ Revision: 1127780
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.240.0-4.mga6
+ Revision: 1035672
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.240.0-3.mga6
+ Revision: 958197
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 sander85 <sander85> 0.240.0-2.mga6
+ Revision: 846133
- Fix license

* Sat Jun 27 2015 tv <tv> 0.24-1.mga6
+ Revision: 846001
- imported package perl-UV


* Sat Jun 27 2015 Thierry Vignaud <tv@mageia.org> 0.24-1.mga6
- initial release
